## mpich 1.1.0

=== Makefile ===
# Generated automatically from Makefile.in by configure.
##### User configurable options #####
# This is an example Makefile.in (or Makefile configured with mpireconfig)
# for the programs cpi, systest, and cpilog.  

ARCH        = rs6000
COMM        = ch_p4
INSTALL_DIR = /usr/local/mpi/mpich
CC          = xlC
F77         = xlf
CLINKER     = xlC
FLINKER     = xlf
OPTFLAGS    = -O2
#
LIB_PATH    = -L$(INSTALL_DIR)/lib/$(ARCH)/$(COMM)
FLIB_PATH   = -L/usr/local/mpi/mpich/lib/rs6000/ch_p4
LIB_LIST    = -lmpi -lbsd
#
INCLUDE_DIR =  -I$(INSTALL_DIR)/include

### End User configurable options ###

CFLAGS  =  -D_ALL_SOURCE -DFORTRANNOUNDERSCORE  -DMPE_USE_EXTENSIONS=1 -D_ALL_SOURCE=1 -DHAS_XDR=1 -DSTDC_HEADERS=1  -DHAVE_STDLIB_H=1 -DMALLOC_RET_VOID=1 -DHAVE_SYSTEM=1 -DHAVE_NICE=1 -DHAVE_LONG_DOUBLE=1 -DHAVE_LONG_LONG_INT=1 $(OPTFLAGS) $(INCLUDE_DIR) -DMPI_$(ARCH)
FFLAGS =  $(INCLUDE_DIR) $(OPTFLAGS)
LIBS = $(LIB_PATH) $(LIB_LIST)
FLIBS = $(FLIB_PATH) $(LIB_LIST)
EXECS = cpi cpilog flip fpi systest

default: systest

all: $(EXECS)

cpi: cpi.o $(INSTALL_DIR)/include/mpi.h
	$(CLINKER) $(OPTFLAGS) -o cpi cpi.o \
	$(LIB_PATH) $(LIB_LIST) -lm

cpilog: cpilog.o $(INSTALL_DIR)/include/mpi.h $(INSTALL_DIR)/include/mpe.h
	$(CLINKER) $(OPTFLAGS) -o cpilog cpilog.o \
	$(LIB_PATH) -lmpe $(LIB_LIST) -lm

flip: flip.o $(INSTALL_DIR)/include/mpif.h
	$(FLINKER) $(OPTFLAGS) -o flip flip.o \
	$(LIB_PATH) $(LIB_LIST) -lm

fpi: fpi.o $(INSTALL_DIR)/include/mpif.h
	$(FLINKER) $(OPTFLAGS) -o fpi fpi.o \
	$(LIB_PATH) $(LIB_LIST) -lm

systest: systest.o $(INSTALL_DIR)/include/mpif.h
	$(FLINKER) $(OPTFLAGS) -o systest systest.o $(FLIBS)

alternate:
	@echo "Use mpif77 and mpicc to build the programs"
	@echo "Note the use of an explicit path for the mpif77 and mpicc"
	@echo "commands; this allows multiple versions/devices to"
	@echo "coexist."
	$(INSTALL_DIR)/lib/$(ARCH)/$(COMM)/mpif77 -o systest systest.f
	$(INSTALL_DIR)/lib/$(ARCH)/$(COMM)/mpicc -o cpi cpi.c
	$(INSTALL_DIR)/lib/$(ARCH)/$(COMM)/mpicc -o cpilog2 -mpitrace cpi.c


clean:
	/bin/rm -f *.o *~ PI* $(EXECS)

.c.o:
	$(CC) $(CFLAGS) -c $*.c
.f.o:
	$(F77) $(FFLAGS) -c $*.f
