=== mpe/slog2sdk/doc/jumpshot-4/tex/Makefile ===
--- 
+++ 
@@ -5,7 +5,8 @@
 # LYX pdflatex, latex2html
 LYX        = lyx
 PDFLATEX   = pdflatex
-LATEX2HTML = /usr/local/bin/latex2html
+# LATEX2HTML = /usr/local/bin/latex2html
+LATEX2HTML = latex2html
 
 # basic Unix command
 CP         = /bin/cp
