=== debian/changelog ===
mpich (1.2.7-10ubuntu1) precise; urgency=low

  * Set FC_SHARED_OPT explicitly to -fPIC, fixing FTBFS on armhf.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 07 Dec 2011 15:04:36 +0100

mpich (1.2.7-10) unstable; urgency=low

  * Team upload.
  * ACK NMU of Cyril (thanks)
  * Updated standards to 3.9.2
  * Vcs- tag added
  * Package migrated to the Debian Science team
  * Fix the various debhelper-but-no-misc-depends
  * Fix weak-library-dev-dependency libmpich1.0-dev on libmpich1.0gf
  * Fix weak-library-dev-dependency libmpich-mpd1.0-dev on libmpich-mpd1.0gf
  * Fix weak-library-dev-dependency libmpich-shmem1.0-dev on libmpich-shmem1.0gf
  * Switch to dpkg-source 3.0 (quilt) format

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 18 Sep 2011 17:51:58 +0200

mpich (1.2.7-9.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS by adding "-D_GNU_SOURCE" to the CFLAGS in mpid/mpd as
    suggested by Peter Green and Petr Salinger (Closes: #522007):
     - 24_use_gnu_source_for_mpd.dpatch
  * Fix FTBFS on GNU/kFreeBSD by sticking to <termios.h> as specified by
    POSIX, as suggested by Petr Salinger (Closes: #533246):
     - 25_use_posix_termios_interface.dpatch

 -- Cyril Brulebois <kibi@debian.org>  Fri, 03 Jul 2009 22:14:10 +0200

mpich (1.2.7-9) unstable; urgency=low

  * Package is now team-maintained by pkg-scicomp (closes:#447678)
  * Updated standards to 3.8.0
    - added Homepage field
    - set debian/compat to 7 and updated debhelper build dependency accordingly
    - replace call to dh_clean -k by call to dh_prep as suggested by lintian
  * Fix update-alternative settings for libmpich-mpd1.0-dev and
    libmpich-shmem1.0-dev (closes: #512426)
  * Changed doc-base section of mpi-doc
  * fix lintian warning about maintainer scripts ignoring errors

 -- Alexandre Fayolle <afayolle@debian.org>  Mon, 26 Jan 2009 17:12:52 +0100

mpich (1.2.7-8) unstable; urgency=low

  * libmpich1.0-dev conflicts with older mpich-bin because of (formerly
    useless) mpif90 file in /usr/lib/mpich/bin (closes: #476093).
  * Turned upstream patch level 1 into patches/13_upstream_patchlevel1.dpatch
    instead of leaving it in .diff.gz.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Wed, 16 Apr 2008 15:38:49 -0400

mpich (1.2.7-7.1) unstable; urgency=low

  * Non-maintainer upload.
  * New patch 23 to fix configure's g++ tests to include iostream instead of
    iostream.h.  Fixes FTBFS with gcc-4.3.  (Closes: #468068)

 -- James Vega <jamessan@debian.org>  Sun, 09 Mar 2008 00:10:37 -0500

mpich (1.2.7-7) unstable; urgency=low

  * Fixed shared library packages (thanks to Kumar Appaiah) (closes: #465285).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Mon, 11 Feb 2008 18:41:43 -0500

mpich (1.2.7-6) unstable; urgency=low

  * Working gfortran support (thanks to Kumar Appaiah <akumar@ee.iitm.ac.in>).
  * This release also includes mpif90 (closes: #195509).
  * Changed shlib package names to gf reflecting the interface change due to
    the g77-gfortran transition.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Fri, 01 Feb 2008 16:06:59 -0500

mpich (1.2.7-5) unstable; urgency=low

  * debian/rules: Fix bashisms (thanks to Luke Yelavich <themuso@ubuntu.com>)
    (closes: #459110).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Sun, 27 Jan 2008 18:48:54 -0500

mpich (1.2.7-4) unstable; urgency=low

  * Correct Conflicts/Replaces on libmpich1.0c2 (closes: #443787).
  * Add Conflicts/Replaces for -mpd and -shmem variants.
  * Moved MPI_Comm_set_name manpage to mpi-doc-specific filename, added
    alternatives symlink; will eventually close 310688.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Thu,  4 Oct 2007 11:20:17 -0400

mpich (1.2.7-3.1) unstable; urgency=medium

  * NMU
  * Adds Conflicts/Replaces on libmpich1.0c2 to libmpich1.0ldbl
    (Closes: #441882)

 -- Ari Pollak <ari@debian.org>  Sun, 23 Sep 2007 10:53:22 -0400

mpich (1.2.7-3) unstable; urgency=low

  * Corrected alternatives removal in prerm (closes: #306305).
  * Removed clog2slog and upshot links, as these are no longer built
    (closes: #394807).
  * Included patch allowing building on hurd-i386 (closes: #420457).
  * Renamed libraries for long double transition (closes: #430274, #430275,
    #430276).
  * Various changes for updated lintian cleanliness.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Thu,  6 Sep 2007 10:37:56 -0400

mpich (1.2.7-2) unstable; urgency=low

  * Update to upstream patch level 1, contained in .diff.gz.
  * This includes old patch 13 for safely handling spaces in the binary path.
  * New patch 19 required to avoid symbol collision.
  * Rebuild should use new symbols from libc_nonshared.a (closes: #355569).
  * Shared libs conflict with non-c2 old versions (closes: #349430).
  * Corrected mpich-bin.prerm alternative to match postinst (closes: #306305).
  * Removed obsolete clog2slog and upshot symlinks (closes: #346510).
  * Included Petr Salinger's mechanism for updating files from installed
    autotools-dev package (closes: #333001).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Fri,  6 Oct 2006 16:11:53 -0400

mpich (1.2.7-1) unstable; urgency=low

  * Unstable port of sarge backport testbed packages, with much help from NMU
    by Adeodato Simó (closes: #317467, #321052, #321093, #321158).
  * Includes fixes from rejected 1.2.5.3-6 (closes: #306305, #314173, #253422).
  * Change -noslog to c2 in library package names to reflect new C++ ABI.
  * Make sure all mpich shlibs correctly link dependent libs based on patch by
    Adeodato Simó (debian/patches/18...), slightly edited for 1.2.7.
  * Added -f90=gfortran to build Fortran 90 backend, and removed Fortran 90
    disabling code in debian/rules.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Fri, 12 Aug 2005 17:59:03 -0400

mpich (1.2.7-0sarge2) unstable; urgency=low

  * Added generated files in debian/ to rules clean target using a patch by
    Adeodato Simó (will close 321052 upon upload to unstable).

