=== debian/control ===
Source: mpich
Section: devel
Priority: extra
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Adam C. Powell IV <hazelsct@debian.org>, Alexandre Fayolle <afayolle@debian.org>
Standards-Version: 3.9.2
Build-Depends: gfortran, rsh-client, libx11-dev, libxt-dev, file, debhelper (>> 7.0.0), dpatch, tk8.4, autotools-dev
Build-Depends-Indep: bzip2
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/mpich/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/mpich/trunk/
Homepage: http://www-unix.mcs.anl.gov/mpi/mpich1/
 


Package: mpich-bin
Architecture: any
Depends: ${shlibs:Depends}, rsh-client, libmpich1.0gf (= ${binary:Version}), ${misc:Depends}
Suggests: mpi-doc, libmpich1.0-dev (= ${binary:Version}), update-cluster, wish, rsh-server
Conflicts: lam (<= 6.1), mpich (<< 1.2.5.3-2), mpich-common
Replaces: mpich-common
Description: MPI parallel computing system implementation
 MPICH is a robust and flexible implementation of the MPI (Message Passing
 Interface).  MPI is often used with parallel or distributed computing
 projects.  MPICH is a multi-platform, configurable system (development,
 execution, libraries, etc) for MPI.  It can achieve parallelism using
 networked machines or using multitasking on a single machine. 
 .
 This version is compiled with ch_p4 support, which only requires installation
 on the master node, and starts up parallel tasks using rsh.

Package: mpich-mpd-bin
Architecture: any
Depends: ${shlibs:Depends}, rsh-client, gdb, libmpich-mpd1.0gf (= ${binary:Version}), ${misc:Depends}
Suggests: mpi-doc, libmpich-mpd1.0-dev (= ${binary:Version}), update-cluster, wish, rsh-server
Conflicts: lam (<=6.1), mpich-mpd (<< 1.2.5.3-2), mpich-common
Replaces: libmpich-p4mpd1.0 (<= 1.2.4-8), mpich-common
Description: MPI parallel computing system implementation, MPD version
 MPICH is a robust and flexible implementation of the MPI (Message Passing
 Interface).  MPI is often used with parallel or distributed computing
 projects.  MPICH is a multi-platform, configurable system (development,
 execution, libraries, etc) for MPI.  It can achieve parallelism using
 networked machines or using multitasking on a single machine. 
 .
 This version is compiled with ch_p4mpd support, which requires mpd daemons
 running on each of the cluster nodes.  This method is faster than ch_p4.

Package: mpich-shmem-bin
Architecture: any
Depends: ${shlibs:Depends}, gdb, libmpich-shmem1.0gf (= ${binary:Version}), ${misc:Depends}
Suggests: mpi-doc, libmpich-shmem1.0-dev (= ${binary:Version})
Conflicts: lam (<=6.1), mpich-common
Replaces: mpich-common
Description: MPI parallel computing system implementation, SHMEM version
 MPICH is a robust and flexible implementation of the MPI (Message Passing
 Interface).  MPI is often used with parallel or distributed computing
 projects.  MPICH is a multi-platform, configurable system (development,
 execution, libraries, etc) for MPI.  It can achieve parallelism using
 networked machines or using multitasking on a single machine. 
 .
 This version is compiled with ch_shmem support, which runs in shared memory.
 This method is faster than ch_p4 or ch_p4mpd on SMP machines, but cannot be
 used on a cluster.

Package: libmpich1.0-dev
Architecture: any
Section: libdevel
Depends: libmpich1.0gf  (= ${binary:Version}), ${misc:Depends}
Suggests: mpi-doc
Provides: libmpich-dev
Conflicts: lam (<= 6.1), mpich (<< 1.2.5.3-2), mpich-common, mpich-bin (<= 1.2.7-5)
Replaces: mpich-common
Description: mpich static libraries and development files
 This package contains the header files, static libraries, symbolic links and
 compiler wrappers (mpicc etc.) used to compile programs using che ch_p4
 version of mpich.

Package: libmpich-mpd1.0-dev
Architecture: any
Section: libdevel
Depends: libmpich-mpd1.0gf (= ${binary:Version}), ${misc:Depends}
Suggests: mpi-doc
Provides: libmpich-dev
Conflicts: lam (<=6.1), mpich-mpd (<< 1.2.5.3-2), mpich-common
Replaces: libmpich-p4mpd1.0 (<= 1.2.4-8), mpich-common
Description: mpich static libraries and development files
 This package contains the header files, static libraries, symbolic links and
 compiler wrappers (mpicc etc.) used to compile programs using the ch_p4mpd
 version of mpich.

Package: libmpich-shmem1.0-dev
Architecture: any
Section: libdevel
Depends: libmpich-shmem1.0gf (= ${binary:Version}), ${misc:Depends}
Suggests: mpi-doc
Provides: libmpich-dev
Conflicts: lam (<=6.1), mpich-shmem (<< 1.2.5.3-2), mpich-common
Replaces: libmpich-p4shmem1.0 (<= 1.2.4-8), mpich-common
Description: mpich static libraries and development files
 This package contains the header files, static libraries, symbolic links and
 compiler wrappers (mpicc etc.) used to compile programs using the ch_p4shmem
 version of mpich.

Package: libmpich1.0gf
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libmpich1.0, libmpich1.0c2, libmpich1.0-noslog, libmpich1.0ldbl
Replaces: libmpich1.0, libmpich1.0c2, libmpich1.0-noslog, libmpich1.0ldbl
Suggests: mpich-bin (= ${binary:Version})
Description: mpich runtime shared library
 This package includes the shared library files used for mpich runtime.

Package: libmpich-mpd1.0gf
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libmpich-p4mpd1.0, libmpich-mpd1.0, libmpich-mpd1.0c2, libmpich-mpd1.0-noslog, libmpich-mpd1.0ldbl
Replaces: libmpich-p4mpd1.0, libmpich-mpd1.0, libmpich-mpd1.0c2, libmpich-mpd1.0-noslog, libmpich-mpd1.0ldbl
Recommends: mpich-mpd-bin (= ${binary:Version})
Description: mpich-mpd runtime shared library
 This package includes the shared library files used for mpich-mpd runtime.

Package: libmpich-shmem1.0gf
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libmpich-shmem1.0, libmpich-shmem1.0c2, libmpich-shmem1.0-noslog, libmpich-shmem1.0ldbl
Replaces: libmpich-shmem1.0, libmpich-shmem1.0c2, libmpich-shmem1.0-noslog, libmpich-shmem1.0ldbl
Recommends: mpich-shmem-bin (= ${binary:Version})
Description: mpich-shmem runtime shared library
 This package includes the shared library files used for mpich-shmem runtime.

Package: mpi-doc
Architecture: all
Section: doc
Priority: optional
Suggests: www-browser
Conflicts: mpich (<<1.1.2), mpich-common, lam4-dev
Description: Documentation for the MPICH MPI implementation and user's guides
 This package provides manual pages in both man and HTML form
 documenting the MPI (Message Passing Interface) parallel programming
 standard as implemented by MPICH, and the user's guides for the transports
 included in binary Debian packages (chp4, chp4mpd, chshmem).
 .
 For the MPI specification, see mpi-specs.

Package: mpe-source
Architecture: all
Section: devel
Priority: extra
Description: Source for MPE, for other package to build-depend
 This package includes the source to MPE, so that 
 other package can build MPE Build-depending in this package.
 .
 MPE is a set of tools to profile MPI (Message Passing Interface) programs,
 and other tools, useful in debugging MPI applications.
