=== debian/rules ===
#!/usr/bin/make -f
# Made with the iad of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Also some stuff taken from debmake scripts, by Cristopt Lameter.
# hacking on for MPICH done since 13 June 2000 by Junichi Uekawa
# (dancer@netfort.gr.jp)

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# parameters accepted for DEB_BUILD_OPTIONS: 
#  experimental-shlibs-support
#  debug

INSTALL_DIR=install -m 755 -d 
INSTALL_FILE=install -m 644

CONFIGURE_ENVIRONMENT= RSHCOMMAND=/usr/bin/rsh FC=gfortran F90=gfortran \
	F77_GETARGDECL="intrinsic GETARG" NOG2C=1 FC_SHARED_OPT=-fPIC

CONFIG_SG_DIRS= mpe mpe/slog2sdk mpe/slog2sdk/trace_rlog mpe/slog2sdk/trace_sample \
		examples/perftest/config/confdb src/fortran/config MPI-2-C++ romio/confdb

# checks the environmental variable DEB_BUILD_OPTIONS
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
CONFIGURE_OPTIONS+= --enable-devdebug --enable-debug 
#--enable-mpedbg  # this kills the build machine very badly with ed.
else
CONFIGURE_OPTIONS+= --disable-devdebug --disable-debug --disable-mpedbg
endif

CONFIGURE_OPTIONS_P4=--with-device=ch_p4 \
	-prefix=/usr/lib/mpich --enable-sharedlib=/usr/lib/mpich/lib/shared/ \
	-mpe_opts="--with-mpelibname=mpe"
CONFIGURE_OPTIONS_MPD=--with-device=ch_p4mpd \
	-prefix=/usr/lib/mpich-mpd -mpilibname=mpich-p4mpd \
	--enable-sharedlib=/usr/lib/mpich-mpd/lib/shared/ \
	-mpe_opts="--with-mpelibname=mpe-p4mpd"
CONFIGURE_OPTIONS_SHMEM=--with-device=ch_shmem \
	-prefix=/usr/lib/mpich-shmem -mpilibname=mpich-shmem \
	--enable-sharedlib=/usr/lib/mpich-shmem/lib/shared/ \
	-mpe_opts="--with-mpelibname=mpe-shmem"

include /usr/share/dpatch/dpatch.make

build: build-stamp
build-stamp: patch-stamp
	dh_testdir
	for CFGAUXDIR in $(CONFIG_SG_DIRS) ; do \
	    cp -f /usr/share/misc/config.sub $$CFGAUXDIR ; \
	    cp -f /usr/share/misc/config.guess $$CFGAUXDIR ; \
	done
	# make mpich normal
	(test -d image_mpich || mkdir image_mpich; cd image_mpich && \
	$(CONFIGURE_ENVIRONMENT) ../configure $(CONFIGURE_OPTIONS_P4) && \
	F77_GETARGDECL="intrinsic GETARG" $(MAKE) )
	# make mpich MPD version
	(test -d image_mpich-mpd || mkdir image_mpich-mpd; \
	cd image_mpich-mpd && \
	$(CONFIGURE_ENVIRONMENT) ../configure $(CONFIGURE_OPTIONS_MPD) && \
	F77_GETARGDECL="intrinsic GETARG" $(MAKE) )
	# make mpich SHMEM version
	(test -d image_mpich-shmem || mkdir image_mpich-shmem; \
	cd image_mpich-shmem && \
	$(CONFIGURE_ENVIRONMENT) ../configure $(CONFIGURE_OPTIONS_SHMEM) && \
	F77_GETARGDECL="intrinsic GETARG" $(MAKE) )
	# make some debhelper files.
	(set -e; for INST in mpich mpich-mpd mpich-shmem ; do \
	  for FILES in dirs preinst postinst prerm links; do \
	    sed 's/#MPICH#/'$$INST'/g' < debian/mpich-bin.$$FILES.in >debian/$$INST-bin.$$FILES;\
	    done;\
	  for FILES in postinst prerm links; do \
	    sed 's/#MPICH#/'$$INST'/g' < debian/libmpich1.0-dev.$$FILES.in >debian/lib"$$INST"1.0-dev.$$FILES;\
	    done;\
	  done;\
	 sed -i 's/\(.*lib.*\)mpich-mpd\([^/]\)/\1mpich-p4mpd\2/' debian/libmpich-mpd1.0-dev.postinst;\
	)
	echo usr/lib/mpich-mpd/bin/mpichboot usr/bin/mpichboot >> debian/mpich-mpd-bin.links
	echo usr/lib/mpich-mpd/bin/mpichstop usr/bin/mpichstop >> debian/mpich-mpd-bin.links
	echo usr/share/man/man7/undocumented.7.gz usr/share/man/man1/mpichboot.1.gz >> debian/mpich-mpd-bin.links
	echo usr/share/man/man7/undocumented.7.gz usr/share/man/man1/mpichstop.1.gz >> debian/mpich-mpd-bin.links
	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	for CFGAUXDIR in $(CONFIG_SG_DIRS) ; do \
	    rm -f $$CFGAUXDIR/config.sub ; \
	    rm -f $$CFGAUXDIR/config.guess ; \
	done
	rm -f build-stamp install-stamp
	# clean up the build directory
	(set -e; for INST in mpich mpich-mpd mpich-shmem ; do \
	  for FILES in dirs preinst postinst prerm links doc-base; do \
	    rm -f debian/$$INST-bin.$$FILES;\
	  done;\
	done;\
	)
	for INST in mpich mpich-mpd mpich-shmem; do \
	  for FILES in postinst prerm links; do \
	    rm -f debian/lib$${INST}1.0-dev.$$FILES; \
	  done; \
	done
	rm -rf image_mpich image_mpich-mpd image_mpich-shmem
	# cleaning cruft created by MPD.
	rm -f mpid/ch_p4mpd/p4mpd/lib/p4_MD.c mpid/ch_p4mpd/p4mpd/lib/p4_MD.h mpid/ch_p4mpd/p4mpd/lib/p4_alloc.c mpid/ch_p4mpd/p4mpd/lib/p4_args.c mpid/ch_p4mpd/p4mpd/lib/p4_broadcast.c mpid/ch_p4mpd/p4mpd/lib/p4_debug.c mpid/ch_p4mpd/p4mpd/lib/p4_defs.h mpid/ch_p4mpd/p4mpd/lib/p4_funcs.h mpid/ch_p4mpd/p4mpd/lib/p4_error.c mpid/ch_p4mpd/p4mpd/lib/p4_rm.c mpid/ch_p4mpd/p4mpd/lib/p4_secure.c mpid/ch_p4mpd/p4mpd/lib/p4_sock_conn.c mpid/ch_p4mpd/p4mpd/lib/p4_sock_cr.c mpid/ch_p4mpd/p4mpd/lib/p4_sock_sr.c mpid/ch_p4mpd/p4mpd/lib/p4_sock_util.c mpid/ch_p4mpd/p4mpd/lib/p4_sock_util.h mpid/ch_p4mpd/p4mpd/lib/p4_sys.h mpid/ch_p4mpd/p4mpd/lib/p4_sys_funcs.h mpid/ch_p4mpd/p4mpd/lib/xdr_float.c mpid/ch_p4mpd/p4mpd/lib/listener_p4.c mpid/ch_p4mpd/p4mpd/lib/p4.h mpid/ch_p4mpd/p4mpd/lib/p4_fc.c mpid/ch_p4mpd/p4mpd/lib/p4_globals.c mpid/ch_p4mpd/p4mpd/lib/p4_globals.h mpid/ch_p4mpd/p4mpd/lib/p4_macros.h mpid/ch_p4mpd/p4mpd/lib/p4_mon.c mpid/ch_p4mpd/p4mpd/lib/p4_mon.h mpid/ch_p4mpd/p4mpd/lib/p4_patchlevel.h mpid/ch_p4mpd/p4mpd/lib/p4_procgroup.c mpid/ch_p4mpd/p4mpd/lib/p4_shmem_sr.c mpid/ch_p4mpd/p4mpd/lib/p4_sr.h mpid/ch_p4mpd/p4mpd/lib/sfcdchi.h mpid/ch_p4mpd/p4mpd/lib/makefile.proto mpid/ch_p4mpd/p4mpd/monitors mpid/ch_p4mpd/p4mpd/CHANGES mpid/ch_p4mpd/p4mpd/MACHINES mpid/ch_p4mpd/p4mpd/OPTIONS mpid/ch_p4mpd/p4mpd/README mpid/ch_p4mpd/p4mpd/config.guess mpid/ch_p4mpd/p4mpd/defs.all mpid/ch_p4mpd/p4mpd/p4_config.h.in mpid/ch_p4mpd/p4mpd/configure mpid/ch_p4mpd/p4mpd/configure.in  mpid/ch_p4mpd/p4mpd/alog mpid/ch_p4mpd/p4mpd/bin mpid/ch_p4mpd/p4mpd/servers  mpid/ch_p4mpd/p4mpd/usc mpid/ch_p4mpd/p4mpd/doc mpid/ch_p4mpd/p4mpd/messages mpid/ch_p4mpd/p4mpd/contrib mpid/ch_p4mpd/p4mpd/contrib_f mpid/ch_p4mpd/p4mpd/messages_f mpid/ch_p4mpd/p4mpd/misc
	# cleaning mpe things
	rm -f mpe/tmp/config.log
	dh_clean

install: install-stamp 
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# make them sh +ex for debugging.

	# install the normal version.
	(cd image_mpich && \
	DESTDIR=$(CURDIR)/debian/mpich-bin/ /bin/sh -e bin/mpiinstall \
	)
	# install the ch_p4mpd version
	(cd image_mpich-mpd && \
	DESTDIR=$(CURDIR)/debian/mpich-mpd-bin/ /bin/sh -e bin/mpiinstall \
	)
	# install the ch_shmem version
	(cd image_mpich-shmem && \
	DESTDIR=$(CURDIR)/debian/mpich-shmem-bin/ /bin/sh -e bin/mpiinstall \
	)

	# NOW: We have all the dirs up, and working.

	# this is bulky... and scary. Fixes script paths.
	sh debian/fixup.sh

	# Move docs into mpi-doc
	cp -a debian/mpich-bin/usr/lib/mpich/doc/* \
	  debian/mpich-bin/usr/lib/mpich/www \
	  debian/mpi-doc/usr/share/doc/mpi-doc/
	cp -a debian/mpich-bin/usr/lib/mpich/man/man3 \
	  debian/mpich-bin/usr/lib/mpich/man/man4 \
	  debian/mpi-doc/usr/share/man/
	cp doc/mpichman-chp4.pdf doc/mpichman-chp4mpd.pdf \
	  doc/mpichman-chshmem.pdf debian/mpi-doc/usr/share/doc/mpi-doc/
	# Avoid conflict with lam4-dev MPI_Comm_set_name manpage (see postinst)
	mv debian/mpi-doc/usr/share/man/man3/MPI_Comm_set_name.3 \
	  debian/mpi-doc/usr/share/man/man3/MPI_Comm_set_name_mpi-doc.3

	# fix things up for MPICH ... it installs files in a very ugly way
	# -- make a config file DEBIAN WAY
	# and other misc stuff is done here.
	(set -e; for INST in mpich mpich-mpd mpich-shmem ; do \
	  cp debian/machines.LINUX debian/$$INST-bin/etc/$$INST/machines.LINUX;\
	  rm -f debian/$$INST-bin/usr/lib/$$INST/share/machines.LINUX;\
	  rm -f debian/$$INST-bin/usr/lib/$$INST/share/Makefile.sample;\
	  for A in mpiuninstall chkserv ; do rm -f debian/$$INST-bin/usr/lib/$$INST/sbin/$$A; done;\
	  rm -rf debian/$$INST-bin/usr/lib/$$INST/doc;\
	  rm -rf debian/$$INST-bin/usr/lib/$$INST/html;\
	  rm -rf debian/$$INST-bin/usr/lib/$$INST/man/man3;\
	  rm -rf debian/$$INST-bin/usr/lib/$$INST/man/man4;\
	  rm -rf debian/$$INST-bin/usr/lib/$$INST/www;\
