=== debian/watch ===
version=3
ftp://ftp.mcs.anl.gov/pub/mpi/mpich-(.+)\.tar\.gz
