=== debian/changelog ===
mpich (3.0.4-6ubuntu1) trusty; urgency=medium

  * Autoreconf all subprojects.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 21 Dec 2013 12:33:06 +0000

mpich (3.0.4-6) unstable; urgency=low

  [ Torquil Macdonald Sørensen ]
  * [f635e5e] Removed valgrind from Build-Depends on armel architecture. 
    (Closes: #729140)

  [ Anton Gladky ]
  * [33add7a] Add --disable-wrapper-rpath to escape RPATH-setting. 
    Thanks to Nicholas Breen <nbreen@debian.org>. (Closes: #724864)

 -- Anton Gladky <gladk@debian.org>  Sun, 24 Nov 2013 21:59:37 +0100

mpich (3.0.4-5) unstable; urgency=low

  * [95eabf3] Remove conflicts/replaces in libmpich10.
  * [d2df217] Disable auto-test on hurd-i386.

 -- Anton Gladky <gladk@debian.org>  Wed, 02 Oct 2013 21:37:01 +0200

mpich (3.0.4-4) unstable; urgency=low

  * [418fc26] Disable LL/SC ABA test, as it fails on armhf. (Closes: #722007)

 -- Anton Gladky <gladk@debian.org>  Mon, 30 Sep 2013 22:43:50 +0200

mpich (3.0.4-3) unstable; urgency=low

  * [090aeef] Add Break/Replaces for libmpich1.0-dev. (Closes: #722666)
  * [abf7347] Add Break/Replaces for mpich-bin. (Closes: #722667)

 -- Anton Gladky <gladk@debian.org>  Tue, 17 Sep 2013 19:42:55 +0200

mpich (3.0.4-2) unstable; urgency=low

  * Rename libmpich10.symbols to libmpich10.symbols.amd64.

 -- Torquil Macdonald Sørensen <torquil@gmail.com>  Fri, 06 Sep 2013 00:35:46 +0200

mpich (3.0.4-1) unstable; urgency=low

  [ Lucas Nussbaum ]
  * Remove myself from Uploaders.

  [ Torquil Macdonald Sørensen ]
  * New upstream release.
  * Rename package to mpich.
  * Added dummy transitional packages for all except shared library package.
  * Removed unnecessary additions to clean target in rules.
  * Name change modifications to lintian-overrides, README.Debian, copyright.
  * Added NEWS file.

  [ Anton Gladky ]
  * Build pdf-files during the build-process.

 -- Torquil Macdonald Sørensen <torquil@gmail.com>  Thu, 15 Aug 2013 09:53:03 +0200

mpich2 (1.5~b1-1) unstable; urgency=low

  * New upstream (beta) release.

 -- Lucas Nussbaum <lucas@debian.org>  Mon, 04 Jun 2012 15:26:51 +0200

mpich2 (1.4.1-4.2) unstable; urgency=high

  * Non-maintainer upload.
  * debian/patches/fix_segfault.patch: New patch, fixes a segfault in
    HYDU_get_abs_wd() if the requested executable is not available, taken from
    upstream changeset 8d5444. Closes: #683226, #683217.

 -- Michael Banck <mbanck@debian.org>  Fri, 12 Apr 2013 13:46:26 +0200

mpich2 (1.4.1-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Enable use of gcc primitives on sparc, fixing a build failure.
    Closes: #660259.

 -- Steve Langasek <vorlon@debian.org>  Mon, 17 Dec 2012 01:06:08 +0000

mpich2 (1.4.1-4) unstable; urgency=low

  * Removed s390 from valgrind-supported arches.
  * Added to clean files list.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Thu, 02 Feb 2012 13:54:30 -0500

mpich2 (1.4.1-3) unstable; urgency=low

  [ Adam C. Powell, IV ]
  * Corrected lintian overrides for uploader name.

  [ Nobuhiro Iwamatsu ]
  * Build-Depends on valgrind only on supported arches (closes: #658066).

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Thu, 02 Feb 2012 11:09:04 -0500

mpich2 (1.4.1-2) unstable; urgency=low

  * New uploader Adam C. Powell, IV -- with lintian override regarding name.
  * Link shared libraries with their dependencies (closes: #653616).
  * Add valgrind to Build-Depends for PLPA.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Thu, 26 Jan 2012 15:19:17 -0500

mpich2 (1.4.1-1) unstable; urgency=low

  * New upstream release.
  * Removed the now unneeded fix-hwloc.patch.
  * Include new DESTDIR patch. Thanks Eric A. Borisch.
  * Also fix paths in /etc/mpich2/*.conf and /usr/bin/mpi{cc,cxx,f77,f90}.mpich.
    Also thanks Eric A. Borisch. Fixed using sed-replacements in debian/rules.
  * Improve cleaning of source directory in debian/rules.
  * Remove unneeded /usr/lib/libopa.la

 -- Torquil Macdonald Sørensen <torquil@gmail.com>  Fri, 26 Aug 2011 17:50:52 +0200

mpich2 (1.4-1) unstable; urgency=low

  * New upstream release
  * Added patch fix-hwloc.patch (upstream changeset #8696)
    to fix upstream issue #1507
  * Make mpif90 use gfortran instead of f95 (Closes: #630675)

 -- Torquil Macdonald Sørensen <torquil@gmail.com>  Tue, 19 Jul 2011 16:36:49 +0200

mpich2 (1.4~rc2-3) unstable; urgency=low

  * Add links for /usr/lib/mpich2/{include,lib}. Patch from Nicholas Breen.
    Closes: #626429
  * Bump Standards-Version to 3.9.2. No changes needed.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Fri, 20 May 2011 18:04:57 +0200

mpich2 (1.4~rc2-2) unstable; urgency=low

  [ Lucas Nussbaum ]
  * Add Torquil Macdonald Sørensen to Uploaders.

  [ Torquil Macdonald Sørensen ]
  * Don't let Debian buildflags influence runtime MPICH2 compiler flags.
    Users must specify optimization and/or debug flags themselves when
    using mpicc, mpicxx etc, just like for gcc, g++ etc. Closes: #624349

 -- Torquil Macdonald Sørensen <torquil@gmail.com>  Fri, 06 May 2011 14:28:44 +0200

mpich2 (1.4~rc2-1) unstable; urgency=low

  * New upstream snapshot.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sat, 09 Apr 2011 13:39:27 +0200

mpich2 (1.4~rc1-2) unstable; urgency=low

  * libmipch2-3: Add Conflicts, Replaces: libmpich2-2. A better long-term
    solution might be to split that binary package into 6(!) binary packages
    (one of each shared lib). Closes: #620206

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Thu, 31 Mar 2011 08:38:44 +0200

mpich2 (1.4~rc1-1) unstable; urgency=low

  * New upstream release.
  * A rebuild probably closes: #617283.
  * Add --with-hydra-ckpointlib=blcr to configure. Closes: #617879.
  * Renamed libmpich2-1.2 to libmpich2-3.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Tue, 29 Mar 2011 21:21:28 +0200

mpich2 (1.3.3~rc1-1) unstable; urgency=low

  * New upstream release. Closes: #576712.
  * Limit libcr-dev dependency to architectures where it is actually
    available.
  * Switch to 3.0 (quilt).


