=== debian/control ===
Source: mpich
Section: devel
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Anton Gladky <gladk@debian.org>,
 Torquil Macdonald Sørensen <torquil@gmail.com>,
 "Adam C. Powell, IV" <hazelsct@debian.org>
Build-Depends:
 automake,
 debhelper (>= 9),
 default-jdk,
 dh-autoreconf,
 gfortran,
 hwloc-nox,
 libcr-dev [amd64 armel i386 powerpc],
 libhwloc-dev,
 libxt-dev,
 procps,
 quilt,
 txt2man,
 valgrind [i386 amd64 powerpc armhf],
 x11proto-core-dev
Build-Depends-Indep:
 texlive-latex-extra,
 texlive-latex-recommended,
 doxygen-latex
Standards-Version: 3.9.4
Homepage: http://www.mpich.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/mpich.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/mpich.git

Package: libmpich-dev
Architecture: any
Section: libdevel
Depends:
 gfortran,
 g++,
 libcr-dev [amd64 armel i386 powerpc],
 libmpich10 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Conflicts:
 libmpich2-dev (<< 3.0.4-1)
Breaks:
 libmpich1.0-dev
Replaces:
 libmpich1.0-dev
Recommends:
 mpich (= ${binary:Version})
Description: Development files for MPICH
 MPICH is a high-performance and widely portable implementation of the
 Message Passing Interface (MPI) standard (both MPI-1 and MPI-2). It
 efficiently supports different computation and communication platforms
 including commodity clusters, SMPs, massively parallel systems, and
 high-speed networks.
 .
 This package includes the MPICH headers and static libraries, as well
 as the compiler wrappers needed to build MPICH programs.

Package: libmpich10
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Shared libraries for MPICH
 MPICH is a high-performance and widely portable implementation of the
 Message Passing Interface (MPI) standard (both MPI-1 and MPI-2). It
 efficiently supports different computation and communication platforms
 including commodity clusters, SMPs, massively parallel systems, and
 high-speed networks.
 .
 This package includes the MPICH shared libraries.

Package: libmpich2-dev
Architecture: any
Section: libdevel
Depends:
 libmpich-dev (= ${binary:Version}),
 ${misc:Depends}
Description: Transitional dummy package for MPICH development files
 This is a dummy package for the transition from libmpich2-dev to
 libmpich-dev. It can safely be removed if nothing else depends on it.

Package: mpich
Architecture: any
Depends:
 hwloc-nox | hwloc,
 libmpich10 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Conflicts:
 mpich2 (<< 3.0.4-1)
Breaks:
 mpich-bin
Replaces:
 mpich-bin
Recommends:
 libmpich-dev (= ${binary:Version})
Suggests:
 blcr-util,
 mpich-doc (= ${source:Version})
Description: Implementation of the MPI Message Passing Interface standard
 MPICH is a high-performance and widely portable implementation of the
 Message Passing Interface (MPI) standard (both MPI-1 and MPI-2). It
 efficiently supports different computation and communication platforms
 including commodity clusters, SMPs, massively parallel systems, and
 high-speed networks.
 .
 This package includes the program binaries necessary to run MPICH programs.

Package: mpich-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends}
Conflicts:
 lam-mpidoc,
 lam4-dev,
 mpi-doc,
 mpich2-doc (<< 3.0.4-1),
 openmpi-doc,
 openmpi-mpidoc
Description: Documentation for MPICH
 MPICH is a high-performance and widely portable implementation of the
 Message Passing Interface (MPI) standard (both MPI-1 and MPI-2). It
 efficiently supports different computation and communication platforms
 including commodity clusters, SMPs, massively parallel systems, and
 high-speed networks.
 .
 This package includes the MPICH documentation.

Package: mpich2
Architecture: any
Depends:
 mpich (= ${binary:Version}),
 ${misc:Depends}
Description: Transitional dummy package
 This is a dummy package for the transition from mpich2 to mpich. It can
 safely be removed if nothing else depends on it.

Package: mpich2-doc
Architecture: all
Section: doc
Depends:
 mpich-doc (= ${binary:Version}),
 ${misc:Depends}
Description: Transitional dummy package for MPICH documentation
 This is a dummy package for the transition from mpich2-doc to mpich-doc. It can
 safely be removed if nothing else depends on it.
